Author Topic: 2.7.0 appImage missing DRM library, can't start  (Read 1760 times)

dandv

  • Newbie
  • *
  • Posts: 2
2.7.0 appImage missing DRM library, can't start
« on: October 01, 2017, 12:47:37 AM »
I've just downloaded the latest appimage and it won't start on Ubuntu 16.04:

Quote
$ ./avidemux_2.7.0.appImage
/tmp/.mount_966niI/usr/bin/avidemux3_portable: error while loading shared libraries: libva-drm.so.1: cannot open shared object file: No such file or directory

The appImage for 2.6.14 works fine.

andreas1

  • Newbie
  • *
  • Posts: 1
Re: 2.7.0 appImage missing DRM library, can't start
« Reply #1 on: April 11, 2018, 07:22:09 AM »
Sorry for being late:

the AppImage needs the libva-drm.so.1. the simple way is as follows:
Open a terminal. Enter
Code: [Select]
sudo apt-get install libva.drmOf course you can use synaptic paket manager to install libva-drm.

For a 64bit system
The
Code: [Select]
libva-drm.so.xxx will be installed in
Code: [Select]
/user/lib/x86_64-linux-gnu/. Additionaly a symlink
Code: [Select]
libva-drm.so.1 will be in this directory. Check that the symlink is there.
Now avidemux.AppImage should start

The better way would be if this lib would be in the appimage.
 
Code: [Select]
( AppDir/usr/lib ).
I tried it and it solves the problem. The appimage can run then in older and/or newer Ubuntu/Debian versions as well as in archlinux

slumbergod

  • Newbie
  • *
  • Posts: 3
Re: 2.7.0 appImage missing DRM library, can't start
« Reply #2 on: April 28, 2018, 02:23:01 AM »
I've just install Xubuntu 18.04 and I got the same error.
In the repos I can only find libva-drm2 but installing it didn't resolve the issue.
If anyone else has resolved this issue could they please share their solution here.
Thank you.

eumagga0x2a

  • Hero Member
  • *****
  • Posts: 2026
Re: 2.7.0 appImage missing DRM library, can't start
« Reply #3 on: April 28, 2018, 11:54:57 AM »
Do you refer to the latest nightly (currently r180417)?

Please note that it is trivial to build Avidemux from source on Ubuntu. However, it has not been tested with Ubuntu 18.04 yet. If you encounter problems compiling Avidemux, please report them.

Jan Gruuthuse

  • Hero Member
  • *****
  • Posts: 6001
Re: 2.7.0 appImage missing DRM library, can't start
« Reply #4 on: April 28, 2018, 04:21:40 PM »
I can't test before May 20th.

slumbergod

  • Newbie
  • *
  • Posts: 3
Re: 2.7.0 appImage missing DRM library, can't start
« Reply #5 on: April 29, 2018, 06:04:13 PM »
I tried the latest nightly as suggested. After a couple of crashes, it eventfully did open and seemed to be OK. The missing dependency was not reported so it looks like I only need to be patient and the next stable release will address the problem. Thanks

slumbergod

  • Newbie
  • *
  • Posts: 3
Re: 2.7.0 appImage missing DRM library, can't start
« Reply #6 on: May 08, 2018, 10:45:18 PM »
If anyone is having trouble with the universal app for avidemux 2.7.0, try the PPA from UbuntuHandbook. I was able to get avidemux up and running without any problems using it.
Just Google "install-latest-avidemux-2-7-0-ubuntu-17-10-18-04" and you should find it.

Magnusmaster

  • Newbie
  • *
  • Posts: 6
Re: 2.7.0 appImage missing DRM library, can't start
« Reply #7 on: May 11, 2018, 12:23:12 AM »
The build from the UbuntuHandbook PPA has broken maximize. Please update the AppImage for Ubuntu 18.04.

eumagga0x2a

  • Hero Member
  • *****
  • Posts: 2026
Re: 2.7.0 appImage missing DRM library, can't start
« Reply #8 on: May 11, 2018, 11:38:47 AM »
UbuntuHandbook offers builds from the code of the last release, which has become severely outdated meanwhile. It is trivial to build from git master on Ubuntu, please do it and don't waste your time looking for PPAs somewhere.